POST V1/FundingStatements.{ext}/IncludeObf

Adding a single/multiple Transactions of a single or multiple Outbound Files to an existing Funding Statement.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Entity to include out bound file in funding statement

EMS.Payments.Entities.IncludeObfDetails
NameDescriptionTypeAdditional information
IncludeObfDetailList

List of OBF Details (Outbound File) detail's to include in Fs with comments.

Collection of EMS.Payments.Entities.IncludeObfDetail

None.

Request Formats

application/json, text/json

Sample:
{
  "includeObfDetailList": [
    {
      "fsId": 1,
      "obfDetailId": 2
    },
    {
      "fsId": 1,
      "obfDetailId": 2
    }
  ]
}

application/xml, text/xml

Sample:
<IncludeObfDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <IncludeObfDetailList>
    <IncludeObfDetail>
      <FSId>1</FSId>
      <ObfDetailId>2</ObfDetailId>
    </IncludeObfDetail>
    <IncludeObfDetail>
      <FSId>1</FSId>
      <ObfDetailId>2</ObfDetailId>
    </IncludeObfDetail>
  </IncludeObfDetailList>
</IncludeObfDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

Whether Out bound file is included in FS or not in transaction's result entity.

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.